/**
  *  \file types.h
  *  \brief Exact-Width Types
  *
  *  Edit this file to suit your configuration.
  *
  *  \todo convert to <inttypes.h> names someday; use <inttypes.h> if
  *  available.
  */
#ifndef STREU_CPLUSLIB_TYPES_H_INCLUDED
#define STREU_CPLUSLIB_TYPES_H_INCLUDED

#if defined(__BORLANDC__) || defined(_MSC_VER) || defined(__DJGPP__)
/* Own definitions for compilers known not to have <stdint.h> */
typedef unsigned long int  uint32, uint32_t;       ///< 32-bit unsigned integer.
typedef unsigned short int uint16, uint16_t;       ///< 16-bit unsigned integer.
typedef unsigned char      uint8, uint8_t;         ///< 8-bit unsigned integer.

typedef long int           int32, int32_t;         ///< 32-bit unsigned integer.
typedef short int          int16, int16_t;         ///< 16-bit unsigned integer.
typedef signed char        int8, int8_t;           ///< 8-bit unsigned integer.
#else
#include <stdint.h>
typedef uint32_t uint32;
typedef uint16_t uint16;
typedef uint8_t  uint8;
typedef int32_t  int32;
typedef int16_t  int16;
typedef int8_t   int8;
#endif

typedef unsigned int uint_t;                       ///< Unsigned integer with >= 16 bits.

#endif
